print('作者:低语 ')
--Game guardian detection
if gg.BUILD < 5511 then 
print('粉丝福利') 
goto update
end 
if gg.isVisible(true) then 
   gg.setVisible(false) 
   end
goto START
::START::
menu = gg.choice({'♚大厅开♚','♚出生岛♚','♚落地开♚','♚防检测♚','♚退出脚本♚'},nil,' 免费使用')
if menu == 1 then goto A1 end
if menu == 2 then goto A2 end
if menu == 3 then goto A3 end
if menu == 4 then goto A4 end
if menu == 5 then goto A5 end
if menu == nil then print('低语') end 
goto xr

::A1::
goto START1

::A2::
goto START2

::A3::
goto START3

::A4::
goto START4

::A5::
goto xr

::START1::
menu = gg.choice({'♟秒药♟','♟地皮下沉(落地后断网重连)♟','♟飞行加速♟','♟透视♟','♟人物天线♟','[上一页]','[退出脚本]',},nil,'免费使用')
if menu == 1 then goto B1 end
if menu == 2 then goto B2 end
if menu == 3 then goto B3 end
if menu == 4 then goto B4 end
if menu == 5 then goto B5 end
if menu == 6 then goto START end
if menu == 7 then goto xr end
if menu == nil then goto xr end

::B1::
gg.clearResults()
gg.searchNumber('8;6;10;3::100', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0', gg.TYPE_DOUBLE)
gg.toast('嗑药开启成功')
goto xr

::B2::
gg.clearResults()
gg.searchNumber('1.84305548668F;2.0E; 4.203125F;1.625F:512', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0.0001', gg.TYPE_DOUBLE)
gg.toast('地皮下沉开启成功,请冻结，落地断网')
goto xr

::B3::
gg.clearResults()
gg.searchNumber('0.5E;1.75F;1D;1E;1.875F;1D;10E;0.2E::50', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('5', gg.TYPE_DOUBLE)
gg.toast('飞行开启')
goto xr

::B4::
gg.clearResults()
gg.searchNumber('1f;0f;1120403456d;0f;0f;1058642330d::30', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('666',gg.TYPE_FLOAT)
gg.toast('透视开启成功')
goto xr

::B5::
gg.getResults(100)
gg.editAll('150', gg.TYPE_FLOAT)
gg.toast('人物天线(男)')
gg.searchNumber("963,030,989D;102B;-1,111,878,986D;1;16256W::15", gg.TYPE_FLOAT, false,  gg.SIGN_EQUAL, 0, -1)
gg.searchNumber("1", gg.TYPE_FLOAT,  false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll("99999", gg.TYPE_FLOAT)
gg.toast("人物天线(女)")
goto xr

::START2::
menu = gg.choice({'♙秒药♙','♙顺风耳♙','♙游泳加速♙','♙@水鬼@♙','♙无限汽油♙','♙水鬼(2)♙','[上一页]','[退出脚本]',},nil,' 免费使用')
if menu == 1 then goto C1 end
if menu == 2 then goto C2 end
if menu == 3 then goto C3 end
if menu == 4 then goto C4 end
if menu == 5 then goto C5 end
if menu == 6 then goto C6 end
if menu == 7 then goto START end
if menu == 8 then goto xr end
if menu == nil then goto xr end

::C1::
gg.clearResults()
gg.searchNumber('8;6;10;3::100', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0', gg.TYPE_DOUBLE)
gg.toast('嗑药开启成功')
goto xr

::C2::
gg.clearResults()
gg.searchNumber('100;1,079,574,528D;20::50', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('20', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('800', gg.TYPE_DOUBLE)
gg.toast('雷达开启成功')
goto xr

::C3::
gg.clearResults() 
gg.searchNumber('0.4;0.2;200;1.6;2.5::65', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2.5', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10) 
gg.editAll('10', gg.TYPE_DOUBLE) 
gg.toast('游泳加速开启')
goto xr

::C4::
gg.clearResults()
gg.searchNumber('   0.5;1.75F;0.1;5.0;0.78::512 ', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0.1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1) 
gg.editAll('-7', gg.TYPE_DOUBLE) 
gg.toast('水鬼开启成功')
goto xr

::C5::
gg.clearResults()
gg.searchNumber('1;5;4;32768D::', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10)
gg.editAll('0.0000001',gg.TYPE_FLOAT)
gg.toast('锁油开启成功')
goto xr

::C6::
gg.clearResults()
gg.searchNumber('0.5;1.75F;0.1;5;0.78::', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0.1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(10)
gg.editAll('-7',gg.TYPE_DOUBLE)
gg.toast('水下行走开启成功 如需修改退出自调')
goto xr


::START3::
menu = gg.choice({'&地皮下沉&','&除草&','&透视&','&子弹追踪&','&秒换弹&','&无后坐力&','&子弹穿墙&','&@飞天@&','&高跳不掉血&','&爆破手雷&','&@高跳@&','&@雷达@&','&范围拾取&','[上一页]','[退出脚本]',},nil,'加QQ群：621383029 免费使用最新脚本')
if menu == 1 then goto D1 end
if menu == 2 then goto D2 end
if menu == 3 then goto D3 end
if menu == 4 then goto D4 end
if menu == 5 then goto D5 end
if menu == 6 then goto D6 end
if menu == 7 then goto D7 end
if menu == 8 then goto D8 end
if menu == 9 then goto D9 end
if menu == 10 then goto D10 end
if menu == 11 then goto D11 end
if menu == 12 then goto D12 end
if menu == 13 then goto D13 end
if menu == 14 then goto START end
if menu == 15 then goto xr end
if menu == nil then goto xr end

::D1::
gg.clearResults()
gg.searchNumber('1.84305548668F;2.0E; 4.203125F;1.625F:512', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0.0001', gg.TYPE_DOUBLE)
gg.toast('地皮下沉开启成功,请冻结，落地断网')
goto xr

::D2::
gg.clearResults()
gg.searchNumber('    0.0078125E;10;120;33;0.4', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('120', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('0', gg.TYPE_FLOAT)
gg.toast('除草开启成功')
goto xr

::D3::
gg.clearResults()
gg.searchNumber('1f;0f;1120403456d;0f;0f;1058642330d::30', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('0', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(100)
gg.editAll('666',gg.TYPE_FLOAT)
gg.toast('透视开启成功')
goto xr

::D4::
gg.clearResults()
gg.searchNumber('3.890625;1.875;1.75;1.82499992847', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1.82499992847', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('-999', gg.TYPE_FLOAT)
gg.toast('子弹追踪开启成功请冻结')
goto xr

::D5::
gg.clearResults()
gg.searchNumber('3.390625F;100;0.25;1;-1;1.875F;1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(7)
gg.editAll('0.07', gg.TYPE_DOUBLE)
gg.toast('秒换弹开启成功')
goto xr

::D6::
gg.clearResults()
gg.searchNumber('0.4;0.7;0.0001;0.35;1::93', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(2)
gg.editAll('2.5', gg.TYPE_DOUBLE)
gg.toast('无后开启成功')
goto xr

::D7::
gg.clearResults()
gg.searchNumber('65706D;65707D;65708D;2;2;2::', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(4)
gg.editAll('10',gg.TYPE_FLOAT)
gg.toast('子弹穿墙开启成功')
goto xr

::D8::
gg.clearResults()
gg.searchNumber('2;9.8;0.04::', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('9.8', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.toast('飞天会拉回 请手动保存')
goto xr

::D9::
gg.clearResults()
gg.searchNumber('715E;1,068,893,208D;1::', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('1', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('0.00001',gg.TYPE_DOUBLE)
gg.toast('高跳不掉血开启成功 如需修改退出自调')
goto xr

::D10::
gg.clearResults()
gg.searchNumber('6;2;8.5::', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('6', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('0.001',gg.TYPE_DOUBLE)
gg.toast('随意丢一颗手雷即可看到效果')
goto xr

::D11::
gg.clearResults()
gg.searchNumber('2D;3;2.125F;5D;0.5::33', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('3', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('20',gg.TYPE_DOUBLE)
gg.toast('高跳开启成功')
goto xr

::D12::
gg.clearResults()
gg.searchNumber('100;1,079,574,528D;20::50', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('20', gg.TYPE_DOUBLE, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(1)
gg.editAll('800', gg.TYPE_DOUBLE)
gg.toast('雷达开启成功')
goto xr

::D13::
gg.clearResults()
gg.searchNumber('5D;0E;1F;2F::45', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.searchNumber('2', gg.TYPE_FLOAT, false, gg.SIGN_EQUAL, 0, -1)
gg.getResults(300)
gg.editAll('5', gg.TYPE_FLOAT)
gg.toast('拾取范围开启成功')
goto xr

::START4::

goto xr

::xr:: 

os.exit()

::noselect::

::update::
print('免费使用')
